Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## TUIO
Interface TuioListener

    public interface TuioListener

The TuioListener interface provides a simple callback infrastructure which is used by the `TuioClient` class to dispatch TUIO events to all registered instances of classes that implement the TuioListener interface defined here.

Any class that implements the TuioListener interface is required to implement all of the callback methods defined here. The `TuioClient` makes use of these interface methods in order to dispatch TUIO events to all registered TuioListener implementations.

`public class MyTuioListener implements TuioListener
...`

`MyTuioListener listener = new MyTuioListener();
TuioClient client = new TuioClient();
client.addTuioListener(listener);
client.start();
`

Method Summary
`void` | `addTuioCursor(TuioCursor tcur)` This callback method is invoked by the TuioClient when a new TuioCursor is added to the session.
`void` | `addTuioObject(TuioObject tobj)` This callback method is invoked by the TuioClient when a new TuioObject is added to the session.
`void` | `refresh(TuioTime ftime)` This callback method is invoked by the TuioClient to mark the end of a received TUIO message bundle.
`void` | `removeTuioCursor(TuioCursor tcur)` This callback method is invoked by the TuioClient when an existing TuioCursor is removed from the session.
`void` | `removeTuioObject(TuioObject tobj)` This callback method is invoked by the TuioClient when an existing TuioObject is removed from the session.
`void` | `updateTuioCursor(TuioCursor tcur)` This callback method is invoked by the TuioClient when an existing TuioCursor is updated during the session.
`void` | `updateTuioObject(TuioObject tobj)` This callback method is invoked by the TuioClient when an existing TuioObject is updated during the session.

Method Detail

### addTuioObject

    void addTuioObject(TuioObject tobj)

  This callback method is invoked by the TuioClient when a new TuioObject is added to the session.

  Parameters:
    `tobj` - the TuioObject reference associated to the addTuioObject event

### updateTuioObject

    void updateTuioObject(TuioObject tobj)

  This callback method is invoked by the TuioClient when an existing TuioObject is updated during the session.

  Parameters:
    `tobj` - the TuioObject reference associated to the updateTuioObject event

### removeTuioObject

    void removeTuioObject(TuioObject tobj)

  This callback method is invoked by the TuioClient when an existing TuioObject is removed from the session.

  Parameters:
    `tobj` - the TuioObject reference associated to the removeTuioObject event

### addTuioCursor

    void addTuioCursor(TuioCursor tcur)

  This callback method is invoked by the TuioClient when a new TuioCursor is added to the session.

  Parameters:
    `tcur` - the TuioCursor reference associated to the addTuioCursor event

### updateTuioCursor

    void updateTuioCursor(TuioCursor tcur)

  This callback method is invoked by the TuioClient when an existing TuioCursor is updated during the session.

  Parameters:
    `tcur` - the TuioCursor reference associated to the updateTuioCursor event

### removeTuioCursor

    void removeTuioCursor(TuioCursor tcur)

  This callback method is invoked by the TuioClient when an existing TuioCursor is removed from the session.

  Parameters:
    `tcur` - the TuioCursor reference associated to the removeTuioCursor event

### refresh

    void refresh(TuioTime ftime)

  This callback method is invoked by the TuioClient to mark the end of a received TUIO message bundle.

  Parameters:
    `ftime` - the TuioTime associated to the current TUIO message bundle

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD